Get Statutory Payment Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/payment/status

Get the payment status of a statutory payment for a specified month and year (and if employeeId is provided for a particular employee in that specified month and year)

Input Schema

{
    employeeId: String,
    year: Number,
    month: Number,
    statutory: String,
}

when employeeId is added in the request body as

{
    "employeeId": "6565fd213f1a350e840a015a",
    "year": 2024,
    "month": 6,
    "statutory": "paye"
}

The data returned is no longer a list of payment records but an object of payment record for that employee

{
    "success": true,
    "message": "Payment record retrieved",
    "data": {
        "employeeId": "6565fd213f1a350e840a015a",
        "month": 6,
        "year": 2024,
        "name": "paye",
        "statutoryDetails": {
            "stateForPaye": "Lagos",
            "taxId": "RNS-123456",
            "amount": 11681.33,
            "manually_inputted": false,
            "createdAt": "2024-02-11T07:11:23.272Z",
            "updatedAt": "2024-02-11T13:22:12.997Z"
        },
        "status": "processing",
        "timeline": "MONTHLY",
        "createdAt": "2024-02-13T10:42:42.066Z"
    }
}

Body Params
int32
required

The month for which the payroll was processed (0 to 11).

int32
required

The year for which the payroll was processed

string
required

Type of statutory deduction (e.g., "paye", "pension", "microPension").

string

unique identifier for the employee

Headers
string

Bearer {your_api_key}

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json